org.apache.ivy.plugins.resolver.util

## Interface URLLister

All Known Implementing Classes:
  ApacheHttpURLLister, FileURLLister

    public interface URLLister

### Method Summary

Methods
`boolean` `accept(java.lang.String pattern)` Indicates if this lister is able to list urls with the given pattern.
`java.util.List` `listAll(java.net.URL url)`

### Method Detail

#### accept

    boolean accept(java.lang.String pattern)

Indicates if this lister is able to list urls with the given pattern. In general, only protocol is used.

Parameters:
  `pattern` -
Returns:

#### listAll

    java.util.List listAll(java.net.URL url)
                           throws java.io.IOException

Throws:
  `java.io.IOException`